2 Replies Latest reply: Apr 3, 2013 5:46 PM by Texas Mac Man
Eileendh Level 1 Level 1 (0 points)

Please help I can't down load or update apps without IOS 5.1 but I can't download IOs 5.1 as an app because I need IOS 5.1 to do it.... Urrrrgh